<?php
/** 
 * Prevent a user from accessing this file directly and provide a helpful 
 * message explaining how to install this extension.
 */
if ( !defined( 'MEDIAWIKI' ) ) { 
	if ( !defined( 'MEDIAWIKI' ) ) {
    	echo <<<EOT
To install the ReferenceHelper extension, put the following line in your 
LocalSettings.php file and run a db update on your command line (maintenance/php update.php): 
require_once( "\$IP/extensions/ReferenceHelper/ReferenceHelper.php" );
EOT;
    	exit( 1 );
	}
}

// Extension credits that will show up on Special:Version
$wgExtensionCredits[ 'other' ][] = array(
	'path' => __FILE__,
	'name' => 'ReferenceHelper',
	'author' =>'Marius Walk', 
	'version'  => 1.0,
);



/** 
 * Create special page for settings and setup
 */
// Find the full directory path of this extension
$current_dir = dirname( __FILE__ ) . DIRECTORY_SEPARATOR;

// Add the i18n message files
$wgExtensionMessagesFiles[ 'ReferenceHelper' ] = $current_dir . '/languages/RH_messages.php';


// Add Special Page for settings
$wgAutoloadClasses[ 'RHSettings' ] = $current_dir . '/specials/RHSettings.php';
$wgSpecialPages[ 'RH_Settings' ] = 'RHSettings';
$wgSpecialPageGroups[ 'RH_Settings' ] = 'rh_group';

// Add Special Page for graph visualization
$wgAutoloadClasses[ 'RHGraph' ] = $current_dir . '/specials/RHGraph.php';
$wgSpecialPages[ 'RH_Graph' ] = 'RHGraph';
$wgSpecialPageGroups[ 'RH_Graph' ] = 'rh_group';

// Add hook to add button to edit
$wgAutoloadClasses[ 'RHEdit' ] = $current_dir . '/includes/RHEdit.php';
$wgHooks['SkinTemplateNavigation'][] = 'RHEdit::displayTab';

//load included classes
$wgAutoloadClasses['RHHelper'] = $current_dir . '/includes/RHHelper.php';
$wgAutoloadClasses['RHMendeley'] = $current_dir . '/includes/RHMendeley.php';
$wgAutoloadClasses['RHDBLP'] = $current_dir . '/includes/RHDBLP.php';
$wgAutoloadClasses['RHPDFParser'] = $current_dir . '/includes/RHPDFParser.php';
$wgAutoloadClasses['RHPublication'] = $current_dir . '/includes/RHPublication.php';
$wgAutoloadClasses['RHServiceInterface'] = $current_dir . '/includes/RHServiceInterface.php';

//include pdfparser lib
require_once($current_dir . '/libs/pdfparser/vendor/autoload.php');

//add hook to include protovis (visualization tool) javascript
$wgHooks['BeforePageDisplay'][] = 'RHGraph::onBeforePageDisplay';

//register action rhedit
//using UnknownAction is deprecated from MW 1.18 onwards.
if ( version_compare( $wgVersion, '1.18', '<' ) ) {
	$wgHooks['UnknownAction'][] = 'RHEdit::displayForm';
} else {
	// Introduced in MW 1.18.
	$wgActions['rhedit'] = 'RHEdit';
}

//create additional db table
$wgHooks['LoadExtensionSchemaUpdates'][] = 'fnMyHook';
function fnMyHook( DatabaseUpdater $updater ) {
        $updater->addExtensionTable( 'reference_helper',
                dirname( __FILE__ ) . '/table.sql', true );
        return true;
}
